Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223770 - s-c-p mangles windows domain logons
Summary: s-c-p mangles windows domain logons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-01-22 10:40 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.52-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 09:53:53 UTC


Attachments (Terms of Use)

Description Ralf Ertzinger 2007-01-22 10:40:57 UTC
Description of problem:
When adding a SMP printer one can pass a logon name and password to s-c-p in
order to access the printer. The username field accepts domain logon notation
(domain\username, which ought to be documented somewhere). Somehow this gets
mangled by s-c-p, and domain%5Dusername is being written to the config file,
which translates to domain]username, and subsequently does not work as expected.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.38-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Add a new SMB printer
2. Enter domain\username as logon name
3. Inspect /etc/cup/printers.conf after applying
  
Actual results:
\ gets translated to %5D, which is wrong (%5C is correct)

Expected results:
Translate to %5C (or do not translate at all)

Additional info:

Comment 1 Tim Waugh 2007-01-22 17:19:20 UTC
It has to be translated in order to make the URI.  But I get %5C here with
system-config-printer-0.7.49-1.fc6 and cups-1.2.7-1.7.fc6.

Could you try with either current FC6 or current rawhide?

Comment 2 Ralf Ertzinger 2007-01-24 09:01:42 UTC
Updated to current Rawhide (no FC6 systems, sorry).

system-config-printer-0.7.49-1.fc7
cups-1.2.7-7.fc7

Still the same behaviour.

a) open s-c-p
b) select a SMB printer from the list, click on the "Change" button next to the
"Device URI" field
c) In the new window, enter "Domain\User" into the Username field (and the
password, of course)
d) Click on "Verify" (this succeeds)
e) Click "Apply"
f) Repeat step b)
g) The Username field now contains "Domain]User"

Comment 3 Tim Waugh 2007-01-24 12:47:12 UTC
Oops, fixed in CVS.

Comment 4 Tim Waugh 2007-02-08 10:22:17 UTC
Built in devel as 0.7.50-1.fc7.

Test update for FC6: 0.7.50-1.fc6.

Comment 5 Fedora Update System 2007-02-14 19:59:20 UTC
Fixed in update: system-config-printer-0.7.52-1.fc6


Note You need to log in before you can comment on or make changes to this bug.